ClarisDrawParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisDrawParserInternal::State Struct Reference

Internal: the state of a ClarisDrawParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
bool | m_isLibrary
| flag to know if the file is a library or not More...
int | m_numDSET
| the number of DSET+FNTM More...
long | m_EOF
| the last data zone size More...
int | m_actualLayer
| the actual layer More...
int | m_numLayers
| the number of layer More...
bool | m_createMasterPage
| flag to know if we need or not to create a master More...
bool | m_displayAsSlide
| flag to know if we need to display data as slide More...
std::vector< Layer > | m_layerList
| the layer list More...
bool | m_pageSpanSet
| flag to know if the page has been set More...
int | m_headerId
| header id More...
int | m_footerId
| footer id More...
MWAWVec2i | m_pages
| the number of pages More...
std::map< int, shared_ptr< ClarisWksStruct::DSET > > | m_zonesMap
| the map of zone More...
std::map< int, int > | m_zoneIdToFileTypeMap
| map zone id to file type More...

## Detailed Description

Internal: the state of a ClarisDrawParser.

## Constructor & Destructor Documentation

## ◆ State()

ClarisDrawParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualLayer

int ClarisDrawParserInternal::State::m_actualLayer

the actual layer

## ◆ m_createMasterPage

bool ClarisDrawParserInternal::State::m_createMasterPage

flag to know if we need or not to create a master

## ◆ m_displayAsSlide

bool ClarisDrawParserInternal::State::m_displayAsSlide

flag to know if we need to display data as slide

## ◆ m_EOF

long ClarisDrawParserInternal::State::m_EOF

the last data zone size

## ◆ m_footerId

int ClarisDrawParserInternal::State::m_footerId

footer id

## ◆ m_headerId

int ClarisDrawParserInternal::State::m_headerId

header id

## ◆ m_isLibrary

bool ClarisDrawParserInternal::State::m_isLibrary

flag to know if the file is a library or not

## ◆ m_layerList

std::vector<Layer> ClarisDrawParserInternal::State::m_layerList

the layer list

## ◆ m_numDSET

int ClarisDrawParserInternal::State::m_numDSET

the number of DSET+FNTM

## ◆ m_numLayers

int ClarisDrawParserInternal::State::m_numLayers

the number of layer

## ◆ m_pages

MWAWVec2i ClarisDrawParserInternal::State::m_pages

the number of pages

## ◆ m_pageSpanSet

bool ClarisDrawParserInternal::State::m_pageSpanSet

flag to know if the page has been set

## ◆ m_version

int ClarisDrawParserInternal::State::m_version

the file version

## ◆ m_zoneIdToFileTypeMap

std::map<int, int> ClarisDrawParserInternal::State::m_zoneIdToFileTypeMap

map zone id to file type

## ◆ m_zonesMap

std::map<int, shared_ptr<ClarisWksStruct::DSET> > ClarisDrawParserInternal::State::m_zonesMap

the map of zone

The documentation for this struct was generated from the following file:

- ClarisDrawParser.cxx